> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get a worksheet's review changes given a worksheet ID

GET https://{tenant_name}.benchling.com/api/v2/worksheets/{worksheet_id}/review-changes

Get a worksheet's review changes given a worksheet ID

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/worksheets/get-worksheet-review-changes

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `worksheet_id` (string, required) — ID of the worksheet

### Query parameters

- `returning` (string, optional) — Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter).

## Response

### 200

Returns a single worksheet's basic metadata along with its review changes, including any snapshot information if present.

- `worksheet` (WorksheetReviewChanges, optional) — Contents include basic worksheet metadata along with its review changes, including any snapshot information if present.

## Errors

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### WorksheetReviewChanges

Contents include basic worksheet metadata along with its review changes, including any snapshot information if present.

- `apiURL` (string, optional, nullable) — The canonical url of the Worksheet's review history in the API.
- `createdAt` (datetime, optional) — DateTime the worksheet was created at
- `creator` (UserSummary, optional) — UserSummary Resource of the user who created the worksheet
- `folderId` (string, optional) — ID of the folder that contains the worksheet
- `id` (string, optional) — ID of the worksheet
- `modifiedAt` (string, optional) — DateTime the worksheet was last modified
- `name` (string, optional) — Title of the worksheet
- `reviewRecord` (WorksheetReviewChangesReviewRecord, optional, nullable) — Review record if set
- `webURL` (string, optional) — URL of the worksheet

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### WorksheetReviewChangesReviewRecord

Review record if set

- `comment` (string, optional) — Reviewer's Comments
- `reviewChanges` (list of ReviewChange, optional) — A list of the Review Changes that have been made to this worksheet
- `reviewProcesses` (list of EntryReviewProcess, optional, nullable) — Review Processes associated with the Worksheet
- `status` (enum, optional) — Review Status of the worksheet
  - Allowed values: `ACCEPTED`, `NEEDS_REVIEW`, `REJECTED`, `RETRACTED`, `ACCEPTANCE_SNAPSHOT_IN_PROGRESS`, `REVIEW_SNAPSHOT_IN_PROGRESS`, `IN_PROGRESS`, `ACTION_REQUIRED`

### ReviewChange

- `action` (enum, optional) — The action which was performed with this change
  - Allowed values: `SEND_FOR_REVIEW`, `ACCEPT`, `REJECT`, `COMMENT`, `RETRACT`
- `comment` (string, optional, nullable) — The comment which was left when the Review Change was submitted
- `createdAt` (datetime, optional) — DateTime the Review Change was created at
- `esigned` (boolean, optional) — Was the action verified through an e-signature compliant step
- `id` (string, optional)
- `reviewSnapshot` (ReviewSnapshot, optional, nullable) — Review Snapshot generated from this Review Change

### EntryReviewProcess

- `completionStatus` (enum, optional) — State of the Entry at the end of the Review Process
  - Allowed values: `APPROVED`, `COMPLETED`, `ACCEPTED`, `REVIEWED`, `WITNESSED`, `SELF_REVIEWED`
- `id` (string, optional) — ID of the Review Process
- `name` (string, optional) — Name of the Review Process
- `stages` (list of EntryReviewProcessStagesItems, optional) — Array of Stages for the Review Process
- `type` (enum, optional) — Type of the Review Process
  - Allowed values: `SELF_REVIEW`, `SEQUENTIAL`, `PARALLEL`

### ReviewSnapshot

- `createdAt` (datetime, optional) — DateTime the Review Snapshot was created at
- `downloadURL` (string, optional) — A short-lived URL that can be used to download the original file.
- `expiresAt` (datetime, optional) — DateTime the downloadURL expires.
- `size` (integer, optional) — Size, in bytes, of the snapshot file
- `status` (enum, optional) — the current status of the Snapshot process
  - Allowed values: `PENDING`, `RUNNING`, `SUCCEEDED`, `FAILED`

### EntryReviewProcessStagesItems

- `actionLabel` (enum, optional) — Action reviewer is doing during the review
  - Allowed values: `APPROVE`, `COMPLETE`, `ACCEPT`, `REVIEW`, `WITNESS`, `SELF_REVIEW`
- `id` (string, optional) — ID of the Review Stage
- `name` (string, optional) — Name of the Review Stage
- `reviewers` (list of EntryReviewProcessStagesItemsReviewersItems, optional) — Reviewers for the Review Stage

### EntryReviewProcessStagesItemsReviewersItems

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)
- `status` (enum, optional) — Status of the Reviewer
  - Allowed values: `BLOCKED`, `PENDING`, `FINISHED`, `REJECTED`

## Examples

**Response**

```json
{
  "worksheet": {
    "apiURL": "https://benchling.com/api/v2/worksheets/wks_0ma1gawd/review-changes",
    "createdAt": "2024-01-15T09:30:00Z",
    "creator": {
      "handle": "string",
      "id": "string",
      "name": "string"
    },
    "folderId": "string",
    "id": "wks_0ma1gawd",
    "modifiedAt": "string",
    "name": "string",
    "reviewRecord": {
      "comment": "string",
      "reviewChanges": [
        {
          "action": "SEND_FOR_REVIEW",
          "comment": "string",
          "createdAt": "2024-01-15T09:30:00Z",
          "esigned": true,
          "id": "string",
          "reviewSnapshot": {
            "createdAt": "2024-01-15T09:30:00Z",
            "downloadURL": "string",
            "expiresAt": "2024-01-15T09:30:00Z",
            "size": 1,
            "status": "PENDING"
          }
        }
      ],
      "reviewProcesses": [
        {
          "completionStatus": "APPROVED",
          "id": "string",
          "name": "string",
          "stages": [
            {
              "actionLabel": "APPROVE",
              "id": "string",
              "name": "string",
              "reviewers": [
                {
                  "handle": "string",
                  "id": "string",
                  "name": "string",
                  "status": "BLOCKED"
                }
              ]
            }
          ],
          "type": "SELF_REVIEW"
        }
      ],
      "status": "ACCEPTED"
    },
    "webURL": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/worksheets/worksheet_id/review-changes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/worksheets/worksheet_id/review-changes';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```